Package ghidra.graph.viewer.event.mouse

# Class VisualGraphAbstractGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>>

java.lang.Object
edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
ghidra.graph.viewer.event.mouse.VisualGraphAbstractGraphMousePlugin<V,E>

Type Parameters:
  `V` - the vertex type
  `E` - the edge type

All Implemented Interfaces:
  `edu.uci.ics.jung.visualization.control.GraphMousePlugin`, `VisualGraphMousePlugin<V,E>`, `MouseListener`, `MouseMotionListener`, `EventListener`

Direct Known Subclasses:
  `VisualGraphEdgeSelectionGraphMousePlugin`, `VisualGraphSatelliteAbstractGraphMousePlugin`, `VisualGraphZoomingPickingGraphMousePlugin`

public abstract class VisualGraphAbstractGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>> extends edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin implements MouseListener, MouseMotionListener, VisualGraphMousePlugin<V,E>
Usage Notes:

- We clear state on mouseReleased() and mouseExited(), since we will get at least one of those calls

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `isHandlingMouseEvents`
  `protected E`
  `selectedEdge`
  `protected V`
  `selectedVertex`

  ### Fields inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin

  `cursor, down, modifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VisualGraphAbstractGraphMousePlugin()`
  `VisualGraphAbstractGraphMousePlugin(int selectionModifiers)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `checkForEdge(MouseEvent e)`
  `protected boolean`
  `checkForVertex(MouseEvent e)`
  `boolean`
  `checkModifiers(MouseEvent e)`
  `protected void`
  `installCursor(Cursor newCursor, MouseEvent e)`
  `protected boolean`
  `isOverEdge(MouseEvent e)`
  `protected boolean`
  `isOverVertex(MouseEvent e)`
  `void`
  `mouseClicked(MouseEvent e)`
  `void`
  `mouseDragged(MouseEvent e)`
  `void`
  `mouseEntered(MouseEvent e)`
  `void`
  `mouseExited(MouseEvent e)`
  `void`
  `mouseMoved(MouseEvent e)`
  `void`
  `mousePressed(MouseEvent e)`
  `void`
  `mouseReleased(MouseEvent e)`
  `protected boolean`
  `pickEdge(E edge, edu.uci.ics.jung.visualization.VisualizationViewer<V,E> viewer)`
  `protected boolean`
  `pickVertex(V vertex, edu.uci.ics.jung.visualization.VisualizationViewer<V,E> viewer)`
  `protected void`
  `resetState()`
  `protected boolean`
  `shouldShowCursor(MouseEvent e)`

  ### Methods inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin

  `getCursor, getModifiers, setCursor, setModifiers`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.graph.viewer.event.mouse.VisualGraphMousePlugin

  `dispose, getGraphViewer, getSatelliteGraphViewer, getViewer, getViewUpdater, getViewUpdater`

- ## Field Details

  - ### isHandlingMouseEvents

    protected boolean isHandlingMouseEvents

  - ### selectedVertex

    protected V extends VisualVertex selectedVertex

  - ### selectedEdge

    protected E extends VisualEdge<V> selectedEdge

- ## Constructor Details

  - ### VisualGraphAbstractGraphMousePlugin

    public VisualGraphAbstractGraphMousePlugin()

  - ### VisualGraphAbstractGraphMousePlugin

    public VisualGraphAbstractGraphMousePlugin(int selectionModifiers)

- ## Method Details

  - ### checkModifiers

    public boolean checkModifiers(MouseEvent e)
    Specified by:
      `checkModifiers` in interface `edu.uci.ics.jung.visualization.control.GraphMousePlugin`
    Overrides:
      `checkModifiers` in class `edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin`

  - ### checkForVertex

    protected boolean checkForVertex(MouseEvent e)

  - ### checkForEdge

    protected boolean checkForEdge(MouseEvent e)

  - ### pickVertex

    protected boolean pickVertex(V vertex, edu.uci.ics.jung.visualization.VisualizationViewer<V,E> viewer)

  - ### pickEdge

    protected boolean pickEdge(E edge, edu.uci.ics.jung.visualization.VisualizationViewer<V,E> viewer)

  - ### isOverVertex

    protected boolean isOverVertex(MouseEvent e)

  - ### isOverEdge

    protected boolean isOverEdge(MouseEvent e)

  - ### installCursor

    protected void installCursor(Cursor newCursor, MouseEvent e)

  - ### shouldShowCursor

    protected boolean shouldShowCursor(MouseEvent e)

  - ### mousePressed

    public void mousePressed(MouseEvent e)
    Specified by:
      `mousePressed` in interface `MouseListener`

  - ### mouseClicked

    public void mouseClicked(MouseEvent e)
    Specified by:
      `mouseClicked` in interface `MouseListener`

  - ### resetState

    protected void resetState()

  - ### mouseDragged

    public void mouseDragged(MouseEvent e)
    Specified by:
      `mouseDragged` in interface `MouseMotionListener`

  - ### mouseMoved

    public void mouseMoved(MouseEvent e)
    Specified by:
      `mouseMoved` in interface `MouseMotionListener`

  - ### mouseReleased

    public void mouseReleased(MouseEvent e)
    Specified by:
      `mouseReleased` in interface `MouseListener`

  - ### mouseEntered

    public void mouseEntered(MouseEvent e)
    Specified by:
      `mouseEntered` in interface `MouseListener`

  - ### mouseExited

    public void mouseExited(MouseEvent e)
    Specified by:
      `mouseExited` in interface `MouseListener`